Bug 614520 - Review Request: gnustep-examples - The GNUstep examples
Review Request: gnustep-examples - The GNUstep examples
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 12:23 EDT by Jochen Schmitt
Modified: 2012-02-02 09:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 09:32:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
jochen: needinfo+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2010-07-14 12:23:05 EDT
Spec URL: http://www.herr-schmitt.de/pub/gnustep-examples/gnustep-examples.spec
SRPM URL: http://www.herr-schmitt.de/pub/gnustep-examples/gnustep-examples-1.3.0-1.fc13.src.rpm
Description: 
This package contains sample applications for the GNUstep framework.
Comment 1 Michel Alexandre Salim 2010-09-12 17:30:59 EDT
Doing the review now, however, currently it does not compile on F-13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2463352
Comment 2 Michel Alexandre Salim 2010-09-13 03:19:25 EDT
Koji build succeeds on F-14. Might want to update the F-13 stack. Now that Bodhi requires votes on all updates before they're pushed, actually, I'll sign up on the package DB to get notified on GNUstep packages so I that I can help test updates.

F-14 Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2463407

Review to follow.
Comment 3 Michel Alexandre Salim 2010-09-13 06:40:43 EDT
This package is almost ready for approval -- please include the license file in %doc and I can then approve this.

* TODO Review [90%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** DONE Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
** DONE source files match upstream
b6fd31000b125d4aaf217ed038d2d3f3  gnustep-examples-1.3.0.tar.gz
b6fd31000b125d4aaf217ed038d2d3f3  /home/michel/rpmbuild/SOURCES/gnustep-examples-1.3.0.tar.gz

** TODO License [2/3]
*** DONE License is Fedora-approved
*** DONE License field accurate
*** FAIL License included iff packaged by upstream
    - State "FAIL"       from "TODO"       [2010-09-12 Sun 23:14] \\
      ./gui/ExampleTheme/Rhea/COPYING (GPLv3) should probably be
      included. Unfortunately there is no bundled copy of the GPLv2
      text -- perhaps contact upstream and ask them to put
      COPYING.GPLv2 and COPYING.GPLv3 in the tarball's root directory?
** DONE rpmlint [2/2]
*** DONE on src.rpm
    Please fix warning, though:
    gnustep-examples.src:19: W: mixed-use-of-spaces-and-tabs (spaces:
    line 1, tab: line 19) 1 packages and 0 specfiles checked; 0 errors, 1
    warnings.

*** DONE on x86_64.rpm
gnustep-examples.x86_64: W: no-manual-page-for-binary NSImageTest
gnustep-examples.x86_64: W: no-manual-page-for-binary Calculator
gnustep-examples.x86_64: W: no-manual-page-for-binary CurrencyConverter
gnustep-examples.x86_64: W: no-manual-page-for-binary md5Digest
gnustep-examples.x86_64: W: no-manual-page-for-binary NSBrowserTest
gnustep-examples.x86_64: W: no-manual-page-for-binary GSTest
gnustep-examples.x86_64: W: no-manual-page-for-binary NSPanelTest
gnustep-examples.x86_64: W: no-manual-page-for-binary Ink
gnustep-examples.x86_64: W: no-manual-page-for-binary NSScreenTest
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

** DONE Language & locale [3/3]
*** DONE Spec in US English
*** DONE Spec legible
*** N/A Use %find_lang to handle locale files
** DONE Build [3/3]
*** DONE Koji results
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2463408
*** DONE BRs complete
*** DONE Directory ownership
** DONE Spec inspection [10/10]
*** N/A ldconfig for libraries
*** DONE No duplicate files
*** DONE File permissions
*** DONE Filenames must be UTF-8
*** DONE Has %clean section
    (except F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
    Note: consider doing
    %if 0%{?fedora} >= 13
    %else
    %clean
    ...
    %endif
    because otherwise some Fedora provenmaintainers like to nuke the %clean
    section on Rawhide, which causes the spec to not be sharable with older
    distributions like RHEL 6

    Also note that BuildRoot is not needed on F10 and above and RHEL 6, but
    if you want to target RHEL 5 too, keeping it is fine.

*** DONE %buildroot cleaned on %install
*** DONE Macro usage consistent
*** DONE Documentation [2/2]
**** N/A If large docs, separate -doc
**** N/A %doc files are non-essential
*** DONE Development [5/5]
**** N/A Headers in -devel
**** N/A If versioned .so's, unversioned in -devel
**** N/A Static only if necessary, put in -static
**** N/A -devel, -static requires main
**** N/A No .la
*** N/A Other subpackages
** N/A Desktop file validation
** DONE [[http://fedoraproject.org/wiki/Packaging/ScriptletSnippets][Scriptlets]] [4/4]
*** N/A desktop-database (desktop entry has MimeType)
*** N/A icon cache (icons in %{_datadir}/icons/)
*** N/A info files
*** N/A mimeinfo (file in %{_datadir}/mime/packages)
Comment 4 Michel Alexandre Salim 2010-09-21 15:55:46 EDT
Forgot to assign the bug to myself
Comment 5 Jochen Schmitt 2010-09-21 16:02:05 EDT
There is no license file on the upstream tar ball.
Comment 6 Michel Alexandre Salim 2010-09-21 16:47:59 EDT
There is one in a sub-directory:
./gui/ExampleTheme/Rhea/COPYING

so I guess you can include that. As some files are actually under GPLv2, though, asking upstream to properly include both in the root directory of the next release would be great.

APPROVE-ing this, with one note:

1. include ./gui/ExampleTheme/Rhea/COPYING as part of %doc (that would copy the file to %{_docdir}/%{name}-%{version})
2. email upstream asking for the missing license texts
3. put a note above the %doc declaration to remind us about what's going on
Comment 7 Jochen Schmitt 2010-09-22 13:12:04 EDT
New Package SCM Request
=======================
Package Name: gnustep-example
Short Description: GNUstep examples
Owners: s4504kr
Branches: f14, f13, f12
InitialCC:
Comment 8 Michel Alexandre Salim 2010-09-22 15:17:20 EDT
Jochen, I cleared your fedora-cvs request because you requested the wrong one -- it has to be ? rather than - (I could change it myself but then the request will look as coming from me and that'd be bad)

Could you request el6 as well? RHEL 6 will be F-12-based and we should get as many packages in as possible before the Bodhi update process starts applying to it as well.
Comment 9 Jochen Schmitt 2010-09-22 15:34:11 EDT
New Package SCM Request
=======================
Package Name: gnustep-example
Short Description: GNUstep examples
Owners: s4504kr
Branches: f14, f13, f12, el6
InitialCC:

There is a request for EL6 too, so I have create a modified version of the SCM request.
Comment 10 Michel Alexandre Salim 2010-09-22 15:41:10 EDT
You need to re-request the fedora-cvs flag too :)
Comment 11 Kevin Fenzi 2010-09-25 00:53:49 EDT
Git done (by process-git-requests).
I assume you mean gnustep-examples and not gnustep-example.

Note You need to log in before you can comment on or make changes to this bug.